package cn.com.poc.law.service;

import cn.com.poc.law.query.LawyerWritingTemplateTypeQueryCondition;
import cn.com.poc.law.query.LawyerWritingTemplateTypeQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.law.entity.BizAiLawyerWritingTemplateTypeEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizAiLawyerWritingTemplateTypeService extends BaseService {

    BizAiLawyerWritingTemplateTypeEntity get(java.lang.Integer id) throws Exception;

    List<BizAiLawyerWritingTemplateTypeEntity> findByExample(BizAiLawyerWritingTemplateTypeEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizAiLawyerWritingTemplateTypeEntity save(BizAiLawyerWritingTemplateTypeEntity entity) throws Exception;

    BizAiLawyerWritingTemplateTypeEntity update(BizAiLawyerWritingTemplateTypeEntity entity) throws Exception;

    void deletedById(java.lang.Integer id) throws Exception;

    List<LawyerWritingTemplateTypeQueryItem> queryLawyerWritingTemplateType(LawyerWritingTemplateTypeQueryCondition condition, PagingInfo pagingInfo) throws Exception;
}